# $Revision: 1.14 $, $Date: 2008/11/12 21:11:13 $

%define		_name	alloy

Summary:	KDE theme - %{_name}
Summary(pl.UTF-8):	Motyw KDE - %{_name}
Name:		kde-theme-%{_name}
Version:	0.5.3
Release:	4
License:	X11
Group:		Themes
Source0:	http://www.kde-look.org/content/files/10605-%{_name}-%{version}.tar.bz2
# Source0-md5:	4c84f744ba0eeda89436e1c671e18c85
URL:		http://www.kde-look.org/content/show.php?content=10605
BuildRequires:	kdebase-devel >= 9:3.2.0
Requires:	kde-decoration-%{_name}
Requires:	kde-style-%{_name}
Requires:	kde-colorscheme-%{_name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alloy is a java alloy clone. It features rounded, lightweight and
mildly convex widgets. This package contains an alloy color scheme
which combines a yellow look with blue highlight colors. This package
also contains a kwin decoration with solid background and outlines and
transparent, visible buttons.

%description -l pl.UTF-8
Alloy to kopia stylu o tej samej nazwie stosowanego w aplikacjach
napisanych w Javie. Oferuje zaokrąglone, lekkie elementy interfejsu o
subtelnej wypukłości. Ten pakiet zawiera schemat kolorów łączący żółty
wygląd aplikacji z niebieskimi kolorami podświetlonych elementów menu
i tytułu okna. Ten pakiet zawiera także dekoracje kwin
charakteryzującą się stałym (zależny od schematu kolorów) kolorem tła
i brzegów okna oraz przezroczystymi widocznymi przyciskami.

%package -n kde-style-%{_name}
Summary:	KDE style - %{_name}
Summary(pl.UTF-8):	Styl do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-style-%{_name}
Alloy is a java alloy clone. It features rounded, lightweight and
mildly convex widgets.

%description -n kde-style-%{_name} -l pl.UTF-8
Alloy to kopia stylu o tej samej nazwie stosowanego w aplikacjach
napisanych w Javie. Oferuje zaokrąglone, lekkie elementy interfejsu o
subtelnej wypukłości.

%package -n kde-colorscheme-%{_name}
Summary:	Color scheme for KDE style - %{_name}
Summary(pl.UTF-8):	Schemat kolorów do stylu KDE - %{_name}
Group:		Themes
Requires:	kdebase-core

%description -n kde-colorscheme-%{_name}
This package contains an alloy color scheme which combines a yellow
look with blue highlight colors.

%description -n kde-colorscheme-%{_name} -l pl.UTF-8
Ten pakiet zawiera schemat kolorów łączący żółty wygląd aplikacji z
niebieskimi kolorami podświetlonych elementów menu i tytułu okna.

%package -n kde-decoration-%{_name}
Summary:	Kwin decoration - %{_name}
Summary(pl.UTF-8):	Dekoracja kwin - %{_name}
Group:		Themes
Requires:	kdebase-desktop

%description -n kde-decoration-%{_name}
This package contains a kwin decoration with solid background and
outlines and transparent, visible buttons.

%description -n kde-decoration-%{_name} -l pl.UTF-8
Ten pakiet zawiera dekoracje kwin charakteryzującą się stałym (zależny
od schematu kolorów) kolorem tła i brzegów okna oraz przezroczystymi
widocznymi przyciskami.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}" \
	kde_libs_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO

%files -n kde-decoration-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin*.la
%attr(755,root,root) %{_libdir}/kde3/kwin*.so
%{_datadir}/apps/kwin/*.desktop

%files -n kde-style-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/plugins/styles/*.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_datadir}/apps/kstyle/themes/*.themerc

%files -n kde-colorscheme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-alloy.spec,v $
Revision 1.14  2008/11/12 21:11:13  arekm
- release 4

Revision 1.13  2007/12/25 21:29:31  glen
- rel 3

Revision 1.12  2007-12-25 21:27:08  glen
- really rm unused patch

Revision 1.11  2007-12-25 18:28:53  glen
- rel 2

Revision 1.10  2007-02-13 08:06:37  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.8  2006/06/01 17:28:22  qboosh
- defattr

Revision 1.7  2006/06/01 17:12:11  charles
- updated to 0.5.3
- rm outdated -c++.patch
- BR: kdebase-devel only; simplified %build
- updated URLs; cleanups

Revision 1.6  2005/11/14 14:03:30  radek
- pl fix: "przezroczysty" is written with "z", not zacute

Revision 1.5  2005/09/18 21:10:00  glen
- create base package depend on decoration/style/colorscheme packages; rel 3

Revision 1.4  2004/08/17 15:40:35  djurban
- update to 0.5.2

Revision 1.3  2004/05/27 18:57:18  djurban
- removed obsolete exports, htmldir export moved to make install
- proper R/BR because the decoration uses kwin III API (introduced in kde 3.2)

Revision 1.2  2004/05/23 01:13:50  qboosh
- cleanups, BR: automake

Revision 1.1  2004/05/22 17:54:57  djurban
- alloy clone from java (incors.com)
  http://kde-look.org/content/pre1/10605-1.png
  http://kde-look.org/content/pre1/10605-2.png
